Problems with Ninjhax on -9U firmware > 4.5

Discussion in '3DS - Homebrew Development and Emulators' started by Myria, Feb 24, 2015.

  1. Myria
    OP

    Myria GBAtemp Fan

    Member
    431
    410
    Jul 24, 2014
    United States
    I can't get Ninjhax to work on any firmware newer than 4.5.0-9U that has a -9 browser. In other words, if you start with a 4.5.0-9U console and use a cartridge to upgrade to something newer, getting a version such as 7.2.0-9U, Ninjhax won't start.

    The symptoms are that Ninjhax will load the initial installer question, but when it tries to load boot.3dsx, it instead loads the Internet Browser and the Nintendo of America web site. The browser won't accept user input, so you're forced to hard power off, but it isn't frozen.

    Is this a known problem with Ninjhax?
     
  2. cebolleto

    cebolleto GBAtemp Regular

    Member
    148
    206
    Mar 5, 2010
    I think it is, yes
    For me it started to fail when I downgraded my console from 9.2 to 4.5 and then created an emunand and updated it to 9.5. After that Ninjhax never worked again, even with emunand on 4.5, 7.1 and 8.1
     
  3. AquaX101

    AquaX101 GBAtemp Advanced Fan

    Member
    713
    165
    Apr 15, 2014
    United States
    Somewhere
    Yes, I also had the same problem on 8.1.0-9U so I had to roll back my sysnand with a 4.5 backup and then install.
     
  4. Myria
    OP

    Myria GBAtemp Fan

    Member
    431
    410
    Jul 24, 2014
    United States
    It's strange, because it works fine on 4.5.0-9U.

    Interesting, because that shows that this is a firmware version incompatibility issue rather than specifically a Gateway downgrade issue as previously thought.